| OpenNI 2.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes
openni::Version Struct Reference

`#include <OpenNI.h>`

List of all members.

## Public Attributes

int | build
int | maintenance
int | major
int | minor

## Detailed Description

Holds an OpenNI version number, which consists of four separate numbers in the format: `major.minor.maintenance.build`. For example: 2.0.0.20.

## Member Data Documentation

int openni::Version::build

Build number. Incremented for each new API build. Generally not shown on the installer and download site.

int openni::Version::maintenance

Maintenance build number, incremented for new releases that primarily provide minor bug fixes.

int openni::Version::major

Major version number, incremented for major API restructuring.

int openni::Version::minor

Minor version number, incremented when significant new features added.

The documentation for this struct was generated from the following file:

- OpenNI.h